Get presigned archive URL
curl --request GET \
--url https://api.shelv.dev/v1/shelves/{id}/archive-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/shelves/{id}/archive-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/archive-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/archive-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"expiresAt": "2023-11-07T05:31:56Z",
"sha256": "<string>",
"sizeBytes": 123,
"url": "<string>",
"version": "2023-11-07T05:31:56Z"
}{
"retryAfter": 123,
"status": "generating"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Shelves
Get presigned archive URL
Get a presigned URL for a .tar.gz archive of the shelf’s filesystem. Returns 202 if the archive is being generated.
GET
/
v1
/
shelves
/
{id}
/
archive-url
Get presigned archive URL
curl --request GET \
--url https://api.shelv.dev/v1/shelves/{id}/archive-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/shelves/{id}/archive-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/archive-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/archive-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"expiresAt": "2023-11-07T05:31:56Z",
"sha256": "<string>",
"sizeBytes": 123,
"url": "<string>",
"version": "2023-11-07T05:31:56Z"
}{
"retryAfter": 123,
"status": "generating"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^shf_[0-9a-f]{24}$Query Parameters
Required range:
60 <= x <= 3600